Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Runnable

Thread callback interface.
Contained in: global
Derived from: none
Derived by: none
Group: Core (System)

#include <ClanLib/core.h>

### public function member index:

### Overrideables:

``virtual` `void`` | `run` | `()`;

## Description:

When a thread is created, it will call run() in its attached CL_Runnable interface.

## Function Member Descriptions:

CL_Runnable::run - Called when a thread is run.
``virtual` `void`` `run` `()`;